Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model
Interface VTablePackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTablePackageImpl

    public interface VTablePackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VTableFactory`

Nested Class Summary
`static interface` | `VTablePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `DETAIL_EDITING` The meta object id for the '`Detail Editing`' enum.
`static VTablePackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `READ_ONLY_COLUMN_CONFIGURATION` The meta object id for the ' `Read Only Column Configuration`' class.
`static int` | `READ_ONLY_COLUMN_CONFIGURATION__COLUMN_DOMAIN_REFERENCES` The feature id for the 'Column Domain References' reference list.
`static int` | `READ_ONLY_COLUMN_CONFIGURATION_FEATURE_COUNT` The number of structural features of the 'Read Only Column Configuration' class.
`static int` | `TABLE_COLUMN_CONFIGURATION` The meta object id for the '`Column Configuration`' class.
`static int` | `TABLE_COLUMN_CONFIGURATION_FEATURE_COUNT` The number of structural features of the 'Column Configuration' class.
`static int` | `TABLE_CONTROL` The meta object id for the '`Control`' class.
`static int` | `TABLE_CONTROL__ADD_REMOVE_DISABLED` The feature id for the 'Add Remove Disabled' attribute.
`static int` | `TABLE_CONTROL__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `TABLE_CONTROL__COLUMN_CONFIGURATIONS` The feature id for the 'Column Configurations' containment reference list.
`static int` | `TABLE_CONTROL__DETAIL_EDITING` The feature id for the 'Detail Editing' attribute.
`static int` | `TABLE_CONTROL__DETAIL_VIEW` The feature id for the 'Detail View' containment reference.
`static int` | `TABLE_CONTROL__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `TABLE_CONTROL__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `TABLE_CONTROL__ENABLE_DETAIL_EDITING_DIALOG` The feature id for the 'Enable Detail Editing Dialog' attribute.
`static int` | `TABLE_CONTROL__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `TABLE_CONTROL__LABEL_ALIGNMENT` The feature id for the 'Label Alignment' attribute.
`static int` | `TABLE_CONTROL__NAME` The feature id for the 'Name' attribute.
`static int` | `TABLE_CONTROL__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `TABLE_CONTROL__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `TABLE_CONTROL_FEATURE_COUNT` The number of structural features of the 'Control' class.
`static int` | `TABLE_DOMAIN_MODEL_REFERENCE` The meta object id for the '`Domain Model Reference`' class.
`static int` | `TABLE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER` The feature id for the 'Change Listener' attribute list.
`static int` | `TABLE_DOMAIN_MODEL_REFERENCE__COLUMN_DOMAIN_MODEL_REFERENCES` The feature id for the 'Column Domain Model References' containment reference list.
`static int` | `TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE` The feature id for the 'Domain Model EFeature' reference.
`static int` | `TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH` The feature id for the 'Domain Model EReference Path' reference list.
`static int` | `TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `TABLE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Domain Model Reference' class.

Method Summary
`org.eclipse.emf.ecore.EEnum` | `getDetailEditing()` Returns the meta object for enum '`Detail Editing`'.
`org.eclipse.emf.ecore.EReference` | `getReadOnlyColumnConfiguration_ColumnDomainReferences()` Returns the meta object for the reference list ' `Column Domain References`'.
`org.eclipse.emf.ecore.EClass` | `getReadOnlyColumnConfiguration()` Returns the meta object for class '`Read Only Column Configuration`'.
`org.eclipse.emf.ecore.EClass` | `getTableColumnConfiguration()` Returns the meta object for class '`Column Configuration`'.
`org.eclipse.emf.ecore.EAttribute` | `getTableControl_AddRemoveDisabled()` Returns the meta object for the attribute ' `Add Remove Disabled`'.
`org.eclipse.emf.ecore.EReference` | `getTableControl_ColumnConfigurations()` Returns the meta object for the containment reference list ' `Column Configurations`'.
`org.eclipse.emf.ecore.EAttribute` | `getTableControl_DetailEditing()` Returns the meta object for the attribute ' `Detail Editing`'.
`org.eclipse.emf.ecore.EReference` | `getTableControl_DetailView()` Returns the meta object for the containment reference ' `Detail View`'.
`org.eclipse.emf.ecore.EAttribute` | `getTableControl_EnableDetailEditingDialog()` Returns the meta object for the attribute ' `Enable Detail Editing Dialog`'.
`org.eclipse.emf.ecore.EClass` | `getTableControl()` Returns the meta object for class '`Control`'.
`org.eclipse.emf.ecore.EReference` | `getTableDomainModelReference_ColumnDomainModelReferences()` Returns the meta object for the containment reference list ' `Column Domain Model References`'.
`org.eclipse.emf.ecore.EReference` | `getTableDomainModelReference_DomainModelReference()` Returns the meta object for the containment reference ' `Domain Model Reference`'.
`org.eclipse.emf.ecore.EClass` | `getTableDomainModelReference()` Returns the meta object for class '`Domain Model Reference`'.
`VTableFactory` | `getTableFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VTablePackage eINSTANCE

  The singleton instance of the package.

### TABLE_CONTROL

    static final int TABLE_CONTROL

  The meta object id for the '`Control`' class.

  See Also:
    `VTableControlImpl`, `VTablePackageImpl.getTableControl()`, Constant Field Values

### TABLE_CONTROL__NAME

    static final int TABLE_CONTROL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TABLE_CONTROL__VISIBLE

    static final int TABLE_CONTROL__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### TABLE_CONTROL__ENABLED

    static final int TABLE_CONTROL__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### TABLE_CONTROL__READONLY

    static final int TABLE_CONTROL__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### TABLE_CONTROL__DIAGNOSTIC

    static final int TABLE_CONTROL__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### TABLE_CONTROL__ATTACHMENTS

    static final int TABLE_CONTROL__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### TABLE_CONTROL__LABEL_ALIGNMENT

    static final int TABLE_CONTROL__LABEL_ALIGNMENT

  The feature id for the 'Label Alignment' attribute.

  See Also:
    Constant Field Values

### TABLE_CONTROL__DOMAIN_MODEL_REFERENCE

    static final int TABLE_CONTROL__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  See Also:
    Constant Field Values

### TABLE_CONTROL__ADD_REMOVE_DISABLED

    static final int TABLE_CONTROL__ADD_REMOVE_DISABLED

  The feature id for the 'Add Remove Disabled' attribute.

  See Also:
    Constant Field Values

### TABLE_CONTROL__COLUMN_CONFIGURATIONS

    static final int TABLE_CONTROL__COLUMN_CONFIGURATIONS

  The feature id for the 'Column Configurations' containment reference list.

  See Also:
    Constant Field Values

### TABLE_CONTROL__DETAIL_EDITING

    static final int TABLE_CONTROL__DETAIL_EDITING

  The feature id for the 'Detail Editing' attribute.

  See Also:
    Constant Field Values

### TABLE_CONTROL__DETAIL_VIEW

    static final int TABLE_CONTROL__DETAIL_VIEW

  The feature id for the 'Detail View' containment reference.

  See Also:
    Constant Field Values

### TABLE_CONTROL__ENABLE_DETAIL_EDITING_DIALOG

    static final int TABLE_CONTROL__ENABLE_DETAIL_EDITING_DIALOG

  The feature id for the 'Enable Detail Editing Dialog' attribute.

  See Also:
    Constant Field Values

### TABLE_CONTROL_FEATURE_COUNT

    static final int TABLE_CONTROL_FEATURE_COUNT

  The number of structural features of the 'Control' class.

  See Also:
    Constant Field Values

### TABLE_COLUMN_CONFIGURATION

    static final int TABLE_COLUMN_CONFIGURATION

  The meta object id for the '`Column Configuration`' class.

  See Also:
    `VTableColumnConfiguration`, `VTablePackageImpl.getTableColumnConfiguration()`, Constant Field Values

### TABLE_COLUMN_CONFIGURATION_FEATURE_COUNT

    static final int TABLE_COLUMN_CONFIGURATION_FEATURE_COUNT

  The number of structural features of the 'Column Configuration' class.

  See Also:
    Constant Field Values

### TABLE_DOMAIN_MODEL_REFERENCE

    static final int TABLE_DOMAIN_MODEL_REFERENCE

  The meta object id for the '`Domain Model Reference`' class.

  See Also:
    `VTableDomainModelReferenceImpl`, `VTablePackageImpl.getTableDomainModelReference()`, Constant Field Values

### TABLE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

    static final int TABLE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

  The feature id for the 'Change Listener' attribute list.

  See Also:
    Constant Field Values

### TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

    static final int TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

  The feature id for the 'Domain Model EFeature' reference.

  See Also:
    Constant Field Values

### TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

    static final int TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

  The feature id for the 'Domain Model EReference Path' reference list.

  See Also:
    Constant Field Values

### TABLE_DOMAIN_MODEL_REFERENCE__COLUMN_DOMAIN_MODEL_REFERENCES

    static final int TABLE_DOMAIN_MODEL_REFERENCE__COLUMN_DOMAIN_MODEL_REFERENCES

  The feature id for the 'Column Domain Model References' containment reference list.

  See Also:
    Constant Field Values

### TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE

    static final int TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  Since:
    1.5
  See Also:
    Constant Field Values

### TABLE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

    static final int TABLE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Domain Model Reference' class.

  Since:
    1.5
  See Also:
    Constant Field Values

### READ_ONLY_COLUMN_CONFIGURATION

    static final int READ_ONLY_COLUMN_CONFIGURATION

  The meta object id for the ' `Read Only Column Configuration`' class.

  See Also:
    `VReadOnlyColumnConfigurationImpl`, `VTablePackageImpl.getReadOnlyColumnConfiguration()`, Constant Field Values

### READ_ONLY_COLUMN_CONFIGURATION__COLUMN_DOMAIN_REFERENCES

    static final int READ_ONLY_COLUMN_CONFIGURATION__COLUMN_DOMAIN_REFERENCES

  The feature id for the 'Column Domain References' reference list.

  See Also:
    Constant Field Values

### READ_ONLY_COLUMN_CONFIGURATION_FEATURE_COUNT

    static final int READ_ONLY_COLUMN_CONFIGURATION_FEATURE_COUNT

  The number of structural features of the 'Read Only Column Configuration' class.

  See Also:
    Constant Field Values

### DETAIL_EDITING

    static final int DETAIL_EDITING

  The meta object id for the '`Detail Editing`' enum.

  See Also:
    `DetailEditing`, `VTablePackageImpl.getDetailEditing()`, Constant Field Values

Method Detail

### getTableControl

    org.eclipse.emf.ecore.EClass getTableControl()

  Returns the meta object for class '`Control`'.

  Returns:
    the meta object for class 'Control'.
  See Also:
    `VTableControl`

### getTableControl_AddRemoveDisabled

    org.eclipse.emf.ecore.EAttribute getTableControl_AddRemoveDisabled()

  Returns the meta object for the attribute ' `Add Remove Disabled`'.

  Returns:
    the meta object for the attribute 'Add Remove Disabled'.
  See Also:
    `VTableControl.isAddRemoveDisabled()`, `getTableControl()`

### getTableControl_ColumnConfigurations

    org.eclipse.emf.ecore.EReference getTableControl_ColumnConfigurations()

  Returns the meta object for the containment reference list ' `Column Configurations`'.

  Returns:
    the meta object for the containment reference list 'Column Configurations'.
  See Also:
    `VTableControl.getColumnConfigurations()`, `getTableControl()`

### getTableControl_DetailEditing

    org.eclipse.emf.ecore.EAttribute getTableControl_DetailEditing()

  Returns the meta object for the attribute ' `Detail Editing`'.

  Returns:
    the meta object for the attribute 'Detail Editing'.
  See Also:
    `VTableControl.getDetailEditing()`, `getTableControl()`

### getTableControl_DetailView

    org.eclipse.emf.ecore.EReference getTableControl_DetailView()

  Returns the meta object for the containment reference ' `Detail View`'.

  Returns:
    the meta object for the containment reference 'Detail View'.
  See Also:
    `VTableControl.getDetailView()`, `getTableControl()`

### getTableControl_EnableDetailEditingDialog

    org.eclipse.emf.ecore.EAttribute getTableControl_EnableDetailEditingDialog()

  Returns the meta object for the attribute ' `Enable Detail Editing Dialog`'.

  Returns:
    the meta object for the attribute 'Enable Detail Editing Dialog'.
  See Also:
    `VTableControl.isEnableDetailEditingDialog()`, `getTableControl()`

### getTableColumnConfiguration

    org.eclipse.emf.ecore.EClass getTableColumnConfiguration()

  Returns the meta object for class '`Column Configuration`'.

  Returns:
    the meta object for class 'Column Configuration'.
  See Also:
    `VTableColumnConfiguration`

### getTableDomainModelReference

    org.eclipse.emf.ecore.EClass getTableDomainModelReference()

  Returns the meta object for class '`Domain Model Reference`'.

  Returns:
    the meta object for class 'Domain Model Reference'.
  See Also:
    `VTableDomainModelReference`

### getTableDomainModelReference_ColumnDomainModelReferences

    org.eclipse.emf.ecore.EReference getTableDomainModelReference_ColumnDomainModelReferences()

  Returns the meta object for the containment reference list ' `Column Domain Model References`'.

  Returns:
    the meta object for the containment reference list 'Column Domain Model References'.
  See Also:
    `VTableDomainModelReference.getColumnDomainModelReferences()`, `getTableDomainModelReference()`

### getTableDomainModelReference_DomainModelReference

    org.eclipse.emf.ecore.EReference getTableDomainModelReference_DomainModelReference()

  Returns the meta object for the containment reference ' `Domain Model Reference`'.

  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  Since:
    1.5
  See Also:
    `VTableDomainModelReference.getDomainModelReference()`, `getTableDomainModelReference()`

### getReadOnlyColumnConfiguration

    org.eclipse.emf.ecore.EClass getReadOnlyColumnConfiguration()

  Returns the meta object for class '`Read Only Column Configuration`'.

  Returns:
    the meta object for class 'Read Only Column Configuration'.
  See Also:
    `VReadOnlyColumnConfiguration`

### getReadOnlyColumnConfiguration_ColumnDomainReferences

    org.eclipse.emf.ecore.EReference getReadOnlyColumnConfiguration_ColumnDomainReferences()

  Returns the meta object for the reference list ' `Column Domain References`'.

  Returns:
    the meta object for the reference list 'Column Domain References'.
  See Also:
    `VReadOnlyColumnConfiguration.getColumnDomainReferences()`, `getReadOnlyColumnConfiguration()`

### getDetailEditing

    org.eclipse.emf.ecore.EEnum getDetailEditing()

  Returns the meta object for enum '`Detail Editing`'.

  Returns:
    the meta object for enum 'Detail Editing'.
  See Also:
    `DetailEditing`

### getTableFactory

    VTableFactory getTableFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.